NSX-T Data Center REST API
Associated URIs:
| API Description | API Path |
|---|---|
API to reallocate or re-balance service instances of gateways within edge or VNA clusterThis API will help reallocate or re-balance gateway service instances within the edge or VNA clusters. This will be a disruptive operation, and all existing gateway statistics will be removed. The API is only supported for infra tier-1s, VPCs, centralized transit gateways, and project tier-1 gateways. For manual allocation please provide gateway_path and preferred_edge_paths. For re-balancing within the cluster, execute API with gateway_path only and no need to pass other request parameters. For a stateless active-active centralized transit gateway (CTGW), please provide number_of_edge_nodes to achieve scale-out or scale-in. After successful execution of the API, please refer to the gateway state API to check for the new edge or VNA nodes of the gateway. |
POST /policy/api/v1/infra/gateways/action/reallocate
POST /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/gateways/action/reallocate |
List Tier-1 instancesPaginated list of all Tier-1 instances |
GET /policy/api/v1/infra/tier-1s
GET /policy/api/v1/global-infra/tier-1s GET /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/tier-1s |
Delete Tier-1 configurationDelete Tier-1 configuration |
DELETE /policy/api/v1/infra/tier-1s/{tier-1-id}
DELETE /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/tier-1s/{tier-1-id} |
Read Tier-1 configurationRead Tier-1 configuration |
GET /policy/api/v1/infra/tier-1s/{tier-1-id}
GET /policy/api/v1/global-infra/tier-1s/{tier-1-id} GET /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/tier-1s/{tier-1-id} |
Create or update Tier-1 configurationIf Tier-1 with the tier-1-id is not already present, create a new Tier-1 instance. If it already exists, update the tier-1 instance with specified attributes. |
PATCH /policy/api/v1/infra/tier-1s/{tier-1-id}
PATCH /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/tier-1s/{tier-1-id} |
Reprocess Tier1 gateway configuration and publish updates to NSX controllerReprocess Tier1 gateway configuration and configuration of related entities like Tier1 interfaces and static routes, etc. Any missing Updates are published to NSX controller. |
POST /policy/api/v1/infra/tier-1s/{tier-1-id}?action=reprocess
POST /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/tier-1s/{tier-1-id}?action=reprocess |
Create or update tier-1 configurationIf Tier-1 with the tier-1-id is not already present, create a new Tier-1 instance. If it already exists, replace the Tier-1 instance with this object. |
PUT /policy/api/v1/infra/tier-1s/{tier-1-id}
PUT /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/tier-1s/{tier-1-id} |
Manual failover of the active-standby tier1 gateway to the preferred edge nodeThe API is only supported if gateway high availability mode is active/standby and using non-preemptive failover mode. The preferred edge node must be one of the two node paths where a gateway already exists. To check existing edge nodes and their high availability status, refer to the tier1 gateway state API. |
POST /policy/api/v1/infra/tier-1s/{tier-1-id}/actions/failover
POST /policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/tier-1s/{tier-1-id}/actions/failover |